## boinc 7.14.2+dfsg

=== debian/changelog ===
boinc (7.14.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * Do not strongly depend on virtualbox for the boinc-virtualbox package.
    - Virtualbox might be available under different virtual name, built
      locally, upstream deb file might be used or whatever else.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Apr 2019 13:29:33 +0200

boinc (7.14.2+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jan 2019 19:36:44 +0100

boinc (7.14.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.
  * Drop boinc-virtualbox on i386, following vbox removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Jan 2019 19:34:18 +0100

boinc (7.14.2+dfsg-1exp2) experimental; urgency=medium

  * Drop awesome fonts, fix build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Jan 2019 21:53:09 +0100

boinc (7.14.2+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Jan 2019 19:28:23 +0100

boinc (7.14.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * drop apache2 patch, upstream
  * Patch refresh
  * Std-version is now 4.3.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Jan 2019 17:11:29 +0100

=== debian/control ===
Source: boinc
Section: net
Priority: optional
Maintainer: Debian BOINC Maintainers <pkg-boinc-devel@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 9.20160114),
               default-libmysqlclient-dev,
               dh-autoreconf,
               dh-python,
               dh-systemd,
               docbook-xml,
               docbook2x,
               dpkg-dev (>= 1.16.1.1),
               freeglut3-dev,
               gettext,
               libcurl4-openssl-dev,
               libfcgi-dev,
               libgtk-3-dev,
               libice-dev,
               libjpeg-dev,
               libnotify-dev (>= 0.7.0),
               libsm-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libwxgtk-webview3.0-gtk3-dev (>= 3.0.4+dfsg-3~),
               libxcb-util0-dev,
               libxi-dev,
               libxml2-utils,
               libxmu-dev,
               libxss-dev,
               pkg-config,
               po-debconf,
               python-all,
               python3-all,
               python-setuptools,
               zlib1g-dev
Homepage: https://boinc.berkeley.edu/
Vcs-Browser: https://salsa.debian.org/pkg-boinc-team/boinc
Vcs-Git: https://salsa.debian.org/pkg-boinc-team/boinc.git

Package: boinc
Architecture: all
Depends: boinc-client (>= ${source:Version}),
         boinc-manager (>= ${source:Version}),
         ${misc:Depends}
Description: metapackage for the BOINC client and the manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package depends both on the BOINC core client program that is
 required to participate in any project that uses BOINC, and the
 BOINC Manager, a graphical monitor and control utility for the
 BOINC core client.

Package: boinc-virtualbox
Architecture: amd64
Section: contrib/misc
Depends: ${misc:Depends}, boinc-client
Recommends: virtualbox | virtualbox-5.0 | virtualbox-5.1 | virtualbox-5.2 | virtualbox-6.0, virtualbox-ext-pack
Description: metapackage for virtualbox-savvy projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for virtualbox-based projects.
 This package adds a series of dependencies from the contrib
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-client-nvidia-cuda
Architecture: amd64 i386 armhf
Section: contrib/net
Breaks: boinc-nvidia-cuda
Replaces: boinc-nvidia-cuda
Depends: ${misc:Depends}, boinc-client, libcuda1 | libcuda1-any | libcuda-7.5-1 | libcuda-7.0-1 | libcuda-6.5-1 | libcuda-6.0-1 | libcuda-5.5-1 | libcuda-5.0-1
Description: metapackage for CUDA-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the exact configuration of BOINC for CUDA-savvy graphics
 cards. This package adds a series of dependencies from the non-free
 section to the regular boinc package. This also meant this binary
 package to be redistributed in the contrib section of Debian.

Package: boinc-client-opencl
Architecture: any
Section: contrib/net
Breaks: boinc-amd-opencl
Replaces: boinc-amd-opencl
Depends: ${misc:Depends}, ocl-icd-libopencl1 | libopencl-1.1-1
Recommends: amd-opencl-icd | opencl-icd
Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 Regular users (righteously) often find it an unbearable nuisance to
 care for the configuration of BOINC for the OpenCL-savvy AMD/ATI
 graphics cards.  This package adds a series of dependencies from the
 non-free section to the regular boinc package. This also meant this
 binary package to be redistributed in the contrib section of Debian.

Package: boinc-client
Architecture: any
Depends: adduser,
         ca-certificates,
         lsb-base (>= 3.0-6),
         libboinc7 (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: boinc-client-opencl, boinc-client-nvidia-cuda, boinc-manager, x11-xserver-utils
Description: core client for the BOINC distributed computing infrastructure
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 This package contains the BOINC core client program that is required
 to participate in any project that uses BOINC. A central server
 distributes work units and collects results via this client. When
 attaching a local machine to a project, this client will also
 dynamically download the scientific data and executables to be then
 wrapped by the BOINC core client.

Package: boinc-screensaver
Section: x11
Architecture: any
Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
Suggests: boinc-manager
Description: screen saver auto-controlling volunteer computing
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing: several initiatives of
 various scientific disciplines all compete for the idle time of
 desktop computers. The developers' web site at the University of
 Berkeley serves as a common portal to the otherwise independently run
 projects.
 .
 The BOINC client is configurable by the command line or the BOINC
 manager's GUI to compute with any range between 0% and 100% of
 available resources, and to change that ratio to a higher after
 some user determined duration of inactivity. There is now quite
 a number of individuals who prefer to have everything presented
 with their accustomed principle for setting and choosing a screen
 saver. Upon inactivity, the BOINC client is started, and stopped
 again when the user is back. To save the screen, it then shows
 the graphical progress indication as optionally shown also by
 the manager.
 .
 This package is excellent to further promote BOINC, recalling the
 effect SETI@Home once had in the Cambridge, UK, CB2 Cybercafe.
 Just, when using it together with the regular BOINC client setup,
 it is suggested not to have all CPUs used to avoid multiple
 processes running on the same core.

Package: boinc-manager
Section: x11
Architecture: any
Depends: boinc-client, ${misc:Depends}, ${shlibs:Depends}
Suggests: libgl1-mesa-glx, libxt6
Description: GUI to control and monitor the BOINC core client
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains the BOINC Manager, a graphical monitor and
 control utility for the BOINC core client. It gives a detailed
 overview of the state of the client it is monitoring, as there are
  * attached projects
  * running tasks
  * file transfers between the client and project servers
  * statistics about granted credits and disk usage for every project
  * constraints on CPU usage
 The BOINC Manager has two modes of operation, the "Simple View" in which
 it only displays the most important information and the "Advanced View"
 in which all information and all control elements are available.
 .
 For active participation in any BOINC project the recommended
 boinc-client package, not the boinc-manager, is required for every
 machine contributing.

Package: boinc-dev
Section: oldlibs
Architecture: any
Depends: libboinc-app-dev (= ${binary:Version}), ${misc:Depends}
Description: development files to build applications for BOINC projects (transitional)
 Dummy transitional package helping the transition of a split of
 architecture-independent development files and the architecture-dependent
 dynamic libraries.  Static libraries are no longer redistributed.

Package: libboinc-app-dev
Section: libdevel
Architecture: any
Depends: libboinc-app7 (= ${binary:Version}),
         libboinc7 (= ${binary:Version}),
         libc6-dev | libc-dev,
         default-libmysqlclient-dev,
         libssl-dev,
         build-essential,
         ${misc:Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3)
Replaces: boinc-dev (<< 7.0.28+dfsg-3)
Description: development files to build applications for BOINC projects
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains header files that are needed to develop and
 compile applications which utilizes the BOINC infrastructure.

Package: libboinc-app7
Provides: libboinc-app
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc-app (<= 7.0.34+dfsg-1)
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for BOINC's scientific applications
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 This package contains dynamic libraries that are needed for applications
 which utilizes the BOINC infrastructure and the boinc-client itself.

Package: libboinc7
Provides: libboinc
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
Replaces: boinc-dev (<< 7.0.28+dfsg-3), libboinc (<= 7.0.34+dfsg-1)
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries of BOINC the client depends on
 The Berkeley Open Infrastructure for Network Computing (BOINC) is a
 software platform for distributed computing using volunteered computer
 resources.
 .
 The environment offers a series of libraries that both the user-run
 client and the client-invoked scientific applications depend on. With
 the number of cores per machine growing, and with scientific apps
 commonly started for every core, it is essential to have memory
 shared as much as possible between binaries of all projects.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment the following lines to compile with gcc-snapshot.
#export  CC=/usr/lib/gcc-snapshot/bin/gcc
#export CXX=/usr/lib/gcc-snapshot/bin/g++
#export CPP=/usr/lib/gcc-snapshot/bin/cpp

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS   := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)

#export CXX=clang++
export AR=ar
export RANLIB=ranlib

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Set default flags with dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  TYPE_FLAGS = --build $(DEB_HOST_GNU_TYPE)
else
  TYPE_FLAGS = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# On some architectures it is required to change the BOINC platform of the
# core client (with the --with-boinc-platform configure option) to match the
# official BOINC platform, otherwise it would not download any applications,
# because projects mostly provide applications for official BOINC platforms
# only. See https://boinc.berkeley.edu/trac/wiki/BoincPlatforms for the list
# of official BOINC platforms.
#
# The table of architectures known to dpkg-architecture are listed on
#  /usr/share/dpkg/archtable

# Change BOINC platform alpha-unknown-linux-gnu to alpha-hp-linux-gnu and
# declare alpha-unknown-linux-gnu as alternate platform, because some projects
# offer applications for it.
ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=alpha-hp-linux-gnu \
    --with-boinc-alt-platform=alpha-unknown-linux-gnu
endif

# Change BOINC platform i486-pc-linux-gnu to i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-linux-gnu
endif

# Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
# Keeping the previous name temporarily.
# The 32bit variants shall allow the execution of 32 bit 
# executable in case the scientific application is no available
# for the complete bit size.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-linux-gnu
  # wrong previous name (since regular Debian name)
  TYPE_FLAGS += --with-boinc-alt-platform=x86_64-linux-gnu
  # if we did the following, the the ia32 libs would
  # need to become a dependency - which is not wanted by too many
  #TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-linux-gnu
endif

# Change BOINC platform i486-pc-kfreebsd-gnu to i686-pc-kfreebsd-gnu to be
# consistent with the official BOINC platform i686-pc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), i486-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=i686-pc-kfreebsd-gnu
endif

# Declare i686-pc-kfreebsd-gnu as alternate platform for
# x86_64-pc-kfreebsd-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), x86_64-kfreebsd-gnu)
  TYPE_FLAGS += --with-boinc-platform=x86_64-pc-kfreebsd-gnu
  TYPE_FLAGS += --with-boinc-alt-platform=i686-pc-kfreebsd-gnu
endif

# Change BOINC platform ia64-unknown-linux-gnu to ia64-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), ia64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ia64-linux-gnu
endif

# Change BOINC platform powerpc-unknown-linux-gnu to powerpc-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=powerpc-linux-gnu
endif

# Change BOINC platform powerpc64-unknown-linux-gnu to ppc64-linux-gnu and
# declare powerpc-linux-gnu as alternate platform.
ifeq ($(DEB_HOST_GNU_TYPE), powerpc64-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=ppc64-linux-gnu \
    --with-boinc-alt-platform=powerpc-linux-gnu
endif

# Change BOINC platform sparc-unknown-linux-gnu to sparc-sun-linux-gnu.
ifeq ($(DEB_HOST_GNU_TYPE), sparc-linux-gnu)
  TYPE_FLAGS += --with-boinc-platform=sparc-sun-linux-gnu
endif

# Not touching BOINC platform for hurd for the very moment.
# Manually specify the MAXPATHLEN for GNU where this limit
# is not existing.
ifeq ($(DEB_HOST_GNU_TYPE), i486-gnu)
  # setting it to the regular limit for the other flavours of Debian
  CFLAGS += -DMAXPATHLEN=4096
  #TYPE_FLAGS += --with-boinc-platform=i686-pc-hurd-gnu
endif

ifneq (,$(findstring clang,$(DEB_BUILD_OPTIONS)))
  export CXX=clang
endif

CFLAGS += -Wall
CXXFLAGS += -Wall
LDFLAGS += -Wl,--as-needed

ifeq (,$(DEB_OPT_FLAGS))
   DEB_OPT_FLAGS = -O3 -funroll-loops -fforce-addr -ffast-math
   $(info W: No default DEB_OPT_FLAGS set, adding $(DEB_OPT_FLAGS))
endif

CFLAGS += $(DEB_OPT_FLAGS)
CXXFLAGS += $(DEB_OPT_FLAGS)

CFLAGS_boinc-client := $(CFLAGS)
CXXFLAGS_boinc-client := $(CXXFLAGS)

CCorig := $(CC)
CXXorig := $(CXX)

# Link-time optimisation demands knowledge about all CFLAGS both at
# compile time (as represented by CFLAGS and CXXFLAGS) but also at
# at link time.
ifeq (,$(findstring nolto,$(DEB_BUILD_OPTIONS)))
 $(info I: Activating LinkTimeOptimisation)
 CFLAGS += -flto
 CXXFLAGS += -flto
 LDFLAGS += -flto
 CXX := $(CXX) $(CXXFLAGS)
 CC := $(CC) $(CFLAGS)
 AR := gcc-ar
 RANLIB := gcc-ranlib
endif

#copy the original control.in file
$(shell cp debian/control.in debian/control)
$(shell sed '/^#/d' -i debian/control)

export ENABLE_SERVER_TEST := $(shell dpkg-parsechangelog | egrep '^Distribution:' |egrep -v 'experimental|UNRELEASED')

ifeq (,$(ENABLE_SERVER_TEST))
$(shell sed 's/^%//' -i debian/control)
else
$(shell sed '/^%/d' -i debian/control)
endif

ifeq (,$(ENABLE_SERVER_TEST))
$(info I: Building both the server and the client packages)
ENABLE_SERVER := --enable-server
else
$(info I: Building regular client packages only)
#ENABLE_SERVER := --disable-server
endif

#ENABLE_CLIENT_TEST := $(shell egrep '^Package:.*boinc$$' debian/control debian/control.in)
#ifneq (,$(ENABLE_CLIENT_TEST))
ENABLE_CLIENT := --enable-client --enable-manager --enable-dynamic-client-linkage
$(shell sed 's/^@//' -i debian/control)
#else
#ENABLE_CLIENT := --disable-client --disable-manager
#$(shell sed '/^@/d' -i debian/control)
#endif

# --disable-static
# For debugging, these options are useful:
#   --enable-debug
#   --enable-wx-debug (need to install libwxbase3.0-0-dbg and libwxgtk3.0-0-dbg)
#
CFGFLAGS_boinc-client = \
  $(TYPE_FLAGS) \
  --prefix=/usr \
  --bindir=/usr/bin \
  --localstatedir=/var/lib \
  $(ENABLE_CLIENT) \
  $(ENABLE_SERVER) \
  --disable-fcgi \
  --enable-libraries \
  --enable-unicode \
  --enable-shared \
  --enable-dynamic-client-linkage \
  --with-ssl \
  --with-x \
  CFLAGS="$(CFLAGS_boinc-client)"

%:
	dh $@ --with python2,python3,systemd,autoreconf # --parallel

override_dh_autoreconf-indep:

override_dh_clean:
	dh_clean
	rm -rf config.log
	rm -rf clientscr/.libs
	rm -rf debian/boinc-app-examples   debian/boinc-app-examples.substvars
	rm -rf debian/boinc-server-maker   debian/boinc-server-maker.substvars
	rm -rf debian/boinc-cgi-stripchart debian/boinc-cgi-stripchart.substvars
	rm -rf debian/boinc-dbg            debian/boinc-dbg.substvars
	rm -rf debian/boinc-server-dbg     debian/boinc-server-dbg.substvars
	rm -rf debian/*.debhelper
	rm -rf debian/tmp autoreconf-stamp build-*-stamp install-*-stamp
	rm -fr debian/boinc-amd-opencl debian/boinc-screensaver # for cases when this is not in debian/control
	rm -f debian/boinc-screensaver.substvars debian/boinc-amd-opencl.substvars # dito
	rm -f debian/boinc-cgi-stripchart.substvars
	# sudden differences yet remaining to be resolved
	rm -f api/libboinc_graphics2.la
	rm -f test-driver
	rm -f sched/adjust_user_priority sched/size_regulator
	rm -f config.status libtool version.h stamp-h1
	find . -name ".libs" | xargs -r rm -r
	find zip -name "*.lo" -delete

# Commands not to execute - empty overrides
override_dh_auto_test:

#test-stamp:
#	dh_testdir
#	xmllint --nonet --noout \
#	  debian/conffiles/cc_config.xml \
#	  debian/conffiles/global_prefs_override.xml
#	touch $@
LDFLAGS+=$(CFLAGS)

## boinc 7.16.3+dfsg

=== debian/changelog ===
boinc (7.16.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/control: Introducing 'Rules-Requires-Root: no'

 -- Steffen Moeller <moeller@debian.org>  Mon, 30 Sep 2019 20:43:14 +0200

boinc (7.16.1+git20190825+dfsg-1exp1) UNRELEASED; urgency=medium

  [ Steffen Moeller ]
  * Addressing python3 install errors of boinc-server-maker package
    (Closes: #936224, Closes: #903762)

 -- Steffen Moeller <moeller@debian.org>  Mon, 26 Aug 2019 16:53:16 +0200

boinc (7.16.1+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Aug 2019 13:15:40 +0200

boinc (7.16.1+dfsg-2) unstable; urgency=high

  * Upload to unstable
  * debian/patches/6897d96cdc5a6be3392168edf2066d74b763e2cd.patch:
    - upstream cherry-pick for bad cc_config.xml being written in some corner
      case

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 16 Aug 2019 13:07:19 +0200

boinc (7.16.1+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 13:09:06 +0200

boinc (7.16.1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.1+dfsg
  * Upload to unstable
  * Create slots directory during install (Closes: #929743)
  * Bump std-version to 4.4.0, no changes required
  * Also assign user to group "render" (Closes: #929409)
  * Patch refresh
  * Add fedora patches
  * Update copyright years to 2019
  * Bump compat level to 12
  * Drop dh_dbgsym migration code

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 06 Aug 2019 11:51:29 +0200

boinc (7.14.2+dfsg-3exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Apr 2019 13:31:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,10 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9.20160114),
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12),
                default-libmysqlclient-dev,
-               dh-autoreconf,
                dh-python,
-               dh-systemd,
                docbook-xml,
                docbook2x,
                dpkg-dev (>= 1.16.1.1),
@@ -34,10 +32,10 @@
                libxss-dev,
                pkg-config,
                po-debconf,
-               python-all,
                python3-all,
-               python-setuptools,
+               python3-setuptools,
                zlib1g-dev
+Rules-Requires-Root: no
 Homepage: https://boinc.berkeley.edu/
 Vcs-Browser: https://salsa.debian.org/pkg-boinc-team/boinc
 Vcs-Git: https://salsa.debian.org/pkg-boinc-team/boinc.git
@@ -122,15 +120,16 @@
 
 Package: boinc-client
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          ca-certificates,
          lsb-base (>= 3.0-6),
          libboinc7 (= ${binary:Version}),
          ${misc:Depends},
-         ${python:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Suggests: boinc-client-opencl, boinc-client-nvidia-cuda, boinc-manager, x11-xserver-utils
+Suggests: boinc-manager, x11-xserver-utils,
+          boinc-client-opencl, boinc-client-nvidia-cuda
 Description: core client for the BOINC distributed computing infrastructure
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of

## boinc 7.16.4+dfsg

=== debian/changelog ===
boinc (7.16.4+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.4+dfsg
  * Bump copyright years
  * drop upstream patches:
    - some_extra_clang_warnings.patch
    - more_clang_warnings.patch
  * Refresh patches
  * Bump std-version to 4.5.0, no changes required
  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jan 2020 15:28:00 +0100

boinc (7.16.3+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.
    (Closes: #936224, Closes: #903762)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Oct 2019 07:34:47 +0200

## boinc 7.16.5+dfsg

=== debian/changelog ===
boinc (7.16.5+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.5+dfsg
  * Upload to unstable
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2020 15:32:39 +0100

boinc (7.16.4+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jan 2020 15:34:18 +0100

## boinc 7.16.6%2Bdfsg

=== debian/changelog ===
boinc (7.16.6+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.6+dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Apr 2020 17:07:33 +0200

boinc (7.16.5+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Feb 2020 15:33:53 +0100

## boinc 7.16.6+dfsg

=== samples/condor/Makefile ===
all: boinc_gahp

clean:
	rm -f boinc_gahp

distclean: clean

distclean-recursive: clean

boinc_gahp: boinc_gahp.cpp ../../lib/remote_submit.h ../../lib/remote_submit.cpp ../../svn_version.h ../../version.h
	g++ -g -O2 -I../../lib -I../.. \
	-o boinc_gahp boinc_gahp.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lpthread -lcurl

test: test.cpp ../../lib/remote_submit.cpp ../../lib/remote_submit.h
	g++ -g -o test -I../../lib \
	test.cpp ../../lib/remote_submit.cpp \
	-L../../lib -lboinc -lcurl

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
                default-libmysqlclient-dev,
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 
 # Change BOINC platform x86_64-linux-gnu to x86_64-pc-linux-gnu.
 # Keeping the previous name temporarily.
-# The 32bit variants shall allow the execution of 32 bit 
+# The 32bit variants shall allow the execution of 32 bit
 # executable in case the scientific application is no available
 # for the complete bit size.
 ifeq ($(DEB_HOST_GNU_TYPE), x86_64-linux-gnu)
@@ -197,7 +197,7 @@
   CFLAGS="$(CFLAGS_boinc-client)"
 
 %:
-	dh $@ --with python2,python3,systemd,autoreconf # --parallel
+	dh $@ --with python3 --no-parallel
 
 override_dh_autoreconf-indep:
 
@@ -222,6 +222,7 @@
 	rm -f config.status libtool version.h stamp-h1
 	find . -name ".libs" | xargs -r rm -r
 	find zip -name "*.lo" -delete
+	rm -rf py/lib
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/BOINC/boinc/tags .*/client_release/\d.\d{2}/(\d.*)\.tar\.gz

## boinc 7.16.15+dfsg.is.7.16.11+dfsg

=== 3rdParty/vcpkg_ports/ports/rappture/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
cmake_policy(VERSION 3.11)

project (rappture)

set(SRC_RAPPTURE_CORE
    src/core/RpDXWriterFStubs.c
    src/core/RpLibraryFStubs.c
    src/core/RpUnitsFStubs.c
    src/core/RpUtilsFStubs.c
    src/core/scew_extras.c
    src/core/RpBindingsDict.cc
    src/core/RpBuffer.cc
    src/core/RpBufferCInterface.cc
    src/core/RpDXWriter.cc
    src/core/RpDXWriterFInterface.cc
    src/core/RpEncode.cc
    src/core/RpEntityRef.cc
    src/core/RpFortranCommon.cc
    src/core/RpLibrary.cc
    src/core/RpLibraryCInterface.cc
    src/core/RpLibraryFInterface.cc
    src/core/RpOutcome.cc
    src/core/RpOutcomeCInterface.cc
    src/core/RpPtr.cc
    src/core/RpResult.cc
    src/core/RpUnits.cc
    src/core/RpUnitsCInterface.cc
    src/core/RpUnitsFInterface.cc
    src/core/RpUnitsStd.cc
    src/core/RpUtils.cc
    src/core/RpUtilsCInterface.cc
    src/core/RpUtilsFInterface.cc
    src/core/b64/cdecode.c
    src/core/b64/cencode.c
    src/core/scew/attribute.c
    src/core/scew/element.c
    src/core/scew/error.c
    src/core/scew/parser.c
#    src/core/scew/scew_extras.c
    src/core/scew/str.c
    src/core/scew/tree.c
    src/core/scew/writer.c
    src/core/scew/xattribute.c
    src/core/scew/xerror.c
    src/core/scew/xhandler.c
    src/core/scew/xparser.c
    src/core/scew/xprint.c
)

set(HEADERS
    src/core/rappture.h
    src/core/RpBindingsDict.h
    src/core/RpBuffer.h
    src/core/RpBufferCHelper.h
    src/core/RpBufferCInterface.h
    src/core/RpDict.h
    src/core/RpDXWriter.h
    src/core/RpDXWriterFInterface.h
    src/core/RpDXWriterFStubs.h
    src/core/RpEncode.h
    src/core/RpEntityRef.h
    src/core/RpFortranCommon.h
    src/core/RpLibrary.h
    src/core/RpLibraryCInterface.h
    src/core/RpLibraryFInterface.h
    src/core/RpLibraryFStubs.h
    src/core/RpOutcome.h
    src/core/RpOutcomeCHelper.h
    src/core/RpOutcomeCInterface.h
    src/core/RpPtr.h
    src/core/RpSimpleBuffer.h
    src/core/RpUnits.h
    src/core/RpUnitsCInterface.h
    src/core/RpUnitsFInterface.h
    src/core/RpUnitsFStubs.h
    src/core/RpUnitsStd.h
    src/core/RpUtils.h
    src/core/RpUtilsCInterface.h
    src/core/RpUtilsFInterface.h
    src/core/RpUtilsFStubs.h
    src/core/scew_extras.h

)

add_definitions("-DRAPPTURE_VERSION=1.9")
add_definitions("-DSVN_VERSION=6713")
add_definitions("-D_USE_MATH_DEFINES")

add_library(rappture ${SRC_RAPPTURE_CORE})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src/core/)

find_package(expat CONFIG REQUIRED)

if(WIN32 AND NOT MINGW)
    target_link_libraries(rappture PRIVATE expat::libexpat)
else()
    target_link_libraries(rappture PRIVATE expat::expat)
endif()

install(TARGETS rappture
            RUNTIME DESTINATION bin
            ARCHIVE DESTINATION lib
            LIBRARY DESTINATION lib
        )

install(FILES ${HEADERS} DESTINATION include/rappture)

=== debian/changelog ===
boinc (7.16.15+dfsg.is.7.16.11+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Sep 2020 18:53:48 +0200

boinc (7.16.15+dfsg.is.7.16.11+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.11+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 11:30:10 +0200

boinc (7.16.15+dfsg.is.7.16.10+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Aug 2020 09:11:15 +0200

boinc (7.16.15+dfsg.is.7.16.10+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.10+dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Aug 2020 09:08:15 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 23:34:33 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-2) unstable; urgency=medium

  * Add patch to fix build on non-macos systems

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 23:30:57 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 23:30:28 +0200

boinc (7.16.15+dfsg.is.7.16.9+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.9+dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Aug 2020 13:14:09 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-2exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 19:26:37 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-2) unstable; urgency=medium

  * boinc misc fixes:
    - don't depend on libcuda-versioned packages,
      now we have a virtual libcuda1 everywhere
    - change the dependency in a recommendation instead,
      to avoid universe/multiverse archive mismatches in Ubuntu
    - add virtualbox-6.1 as supported
    - drop libopencl-1.1-1 dependency,
      not used anymore since we have the virtual ocl-icd-libopencl1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 19:24:23 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 16:34:33 +0200

boinc (7.16.15+dfsg.is.7.16.7+dfsg-1) unstable; urgency=medium

  * New upstream version 7.16.15+dfsg.is.7.16.7+dfsg
    - this is mostly the same release as 7.16.6+dfsg, the 7.16.15 tag was
      wrongly pushed upstream
  * Revert "Refresh patches"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Jul 2020 16:30:12 +0200

boinc (7.16.15+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jun 2020 19:55:34 +0200

boinc (7.16.15+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * Eliminate Lintian warning - renamed debian/TODO

  [ Gianfranco Costamagna ]
  * New upstream version 7.16.15+dfsg
  * Refresh patches

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jun 2020 19:54:13 +0200

boinc (7.16.6+dfsg-1exp2) experimental; urgency=medium

  * Also building static libraries - to help providing truly static scientific
    apps across platforms.
  * d/rules:
    - clean is undoing uncommitted changes done to d/control
    - changing #!python to python3
  * boinc-server-maker: provide arch-dep links instead of examples' executables
                        in /usr/share/doc

 -- Steffen Moeller <moeller@debian.org>  Sat, 02 May 2020 14:21:51 +0200

boinc (7.16.6+dfsg-1exp1) experimental; urgency=medium

  * Upload to experimental again, with the boinc-server-* packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 19 Apr 2020 17:09:16 +0200

=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
 Architecture: amd64
 Section: contrib/misc
 Depends: ${misc:Depends}, boinc-client
-Recommends: virtualbox | virtualbox-5.0 | virtualbox-5.1 | virtualbox-5.2 | virtualbox-6.0, virtualbox-ext-pack
+Recommends: virtualbox | virtualbox-6.1 | virtualbox-6.0 | virtualbox-5.2 | virtualbox-5.1 | virtualbox-5.0, virtualbox-ext-pack
 Description: metapackage for virtualbox-savvy projects
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -82,7 +82,8 @@
 Section: contrib/net
 Breaks: boinc-nvidia-cuda
 Replaces: boinc-nvidia-cuda
-Depends: ${misc:Depends}, boinc-client, libcuda1 | libcuda1-any | libcuda-7.5-1 | libcuda-7.0-1 | libcuda-6.5-1 | libcuda-6.0-1 | libcuda-5.5-1 | libcuda-5.0-1
+Depends: ${misc:Depends}, boinc-client
+Recommends: libcuda1
 Description: metapackage for CUDA-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
  software platform for distributed computing: several initiatives of
@@ -102,7 +103,7 @@
 Section: contrib/net
 Breaks: boinc-amd-opencl
 Replaces: boinc-amd-opencl
-Depends: ${misc:Depends}, ocl-icd-libopencl1 | libopencl-1.1-1
+Depends: ${misc:Depends}, ocl-icd-libopencl1
 Recommends: amd-opencl-icd | opencl-icd
 Description: metapackage for AMD/ATI OpenCL-savvy BOINC client and manager
  The Berkeley Open Infrastructure for Network Computing (BOINC) is a
@@ -229,6 +230,9 @@
  .
  This package contains header files that are needed to develop and
  compile applications which utilizes the BOINC infrastructure.
+ The package also provides static libraries. These are needed for the
+ development of scientific applications that work seamlessly across
+ many Linux distributions and different releases of the same.
 
 Package: libboinc-app7
 Provides: libboinc-app

=== debian/rules ===
--- 
+++ 
@@ -191,6 +191,7 @@
   --enable-libraries \
   --enable-unicode \
   --enable-shared \
+  --enable-static \
   --enable-dynamic-client-linkage \
   --with-ssl \
   --with-x \
@@ -223,15 +224,14 @@
 	find . -name ".libs" | xargs -r rm -r
 	find zip -name "*.lo" -delete
 	rm -rf py/lib
+	if [ -d .git ]; then \
+	  if [ -x /usr/bin/git git ]; then \
+	    git diff debian/control | patch -p1 -R; \
+	  fi ; \
+	fi
 
 # Commands not to execute - empty overrides
 override_dh_auto_test:
 
 #test-stamp:
 #	dh_testdir
-#	xmllint --nonet --noout \
-#	  debian/conffiles/cc_config.xml \
-#	  debian/conffiles/global_prefs_override.xml
-#	touch $@
-LDFLAGS+=$(CFLAGS)
-

## boinc 7.16.16%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -225,7 +225,7 @@
 	find zip -name "*.lo" -delete
 	rm -rf py/lib
 	if [ -d .git ]; then \
-	  if [ -x /usr/bin/git git ]; then \
+	  if [ -x /usr/bin/git ]; then \
 	    git diff debian/control | patch -p1 -R; \
 	  fi ; \
 	fi
@@ -235,3 +235,4 @@
 
 #test-stamp:
 #	dh_testdir
+#	xmllint --nonet --noout \
